import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode, CSSProperties, RefObject } from 'react';

interface HeadingProps {
    as?: "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
    children?: ReactNode;
    className?: string;
    style?: CSSProperties;
    zIndex?: number;
}

declare function Heading(props: HeadingProps): react_jsx_runtime.JSX.Element;

declare function useHover<T extends HTMLElement = HTMLElement>(elementRef: RefObject<T>): boolean;

declare const useElementResize: (ref?: RefObject<HTMLElement>) => {
    resize: {
        width: number;
        height: number;
    };
    hasScrollX: boolean;
    hasScrollY: boolean;
};

export { Heading, useElementResize, useHover };
